<?php  //noc.php 
//
// Nagios FUsion Operations Center Component
//
// Copyright (c) 2011 Nagios Enterprises, LLC.  All rights reserved.
//  
// 

require_once(dirname(__FILE__).'/../../common.inc.php');

// initialization stuff
pre_init();
// start session
init_session();
// grab GET or POST variables 
grab_request_vars();
// check prereqs
check_prereqs();
// check authentication
check_authentication(false);

$args=array(); 
?>
<!DOCTYPE html>
		<html>
			<!-- Produced by Nagios Fusion.  Copyyright (c) 2008-2009 Nagios Enterprises, LLC (www.nagios.com). All Rights Reserved. -->
			<!-- Powered by the Nagios Synthesis Framework -->

		<head>
		<title>Nagios Fusion - Operations Center</title>
		<meta http-equiv='Content-Type' content='text/html; charset=UTF-8' />
		
<?php		do_page_head_links();  ?>
		<style type='text/css'>
		
<?php 
	if(get_option('nocscreen_component_theme') == 'hc') {	?>

body,table,tr,td,table.standardtable tbody td {background:black; color:white; font-weight:bold;}
.hostup, .serviceok,.servicewarning,.servicecritical,.serviceunknown,.hostdown,.hostunreachable,.all {color:black !important;}
img {display:none; }
table.standardtable tbody tr.even td {background:#333;}	
table.standardtable {border-color:#4D89F9;}
#content {width:95%;}
#topbar {width: 965px; height:50px;}
#leftside {margin-left:10px; margin-bottom:o; width:450px; float:left;}
#rightside {width:500px; float:right;}
table {margin:10px;}
.strong {font-weight:bold;}
#theheader {margin: 3px 10px 3px 10px;}
#lastUpdate {color:grey; font-size 7pt;}
#servicetable {width:100%;}
#hosttable {width:100%;}
div.duration {width:125px;}
#summarytable {text-align:center;}
#summarttable td {padding:1px;}

<?php 
	}
	else { //use default stylesheet
?>

#content {width:95%;}
#topbar {width: 965px; height:50px;}
#leftside {margin-left:10px; margin-bottom:o; width:450px; float:left;}
#rightside {width:500px; float:right;}
table {margin:10px;}
.strong {font-weight:bold;}
#theheader {margin: 3px 10px 3px 10px;}
#lastUpdate {color:grey; font-size 7pt;}
#servicetable {width:100%;}
#hosttable {width:100%;}
div.duration {width:125px;}
#summarytable {text-align:center;}
#summarttable td {padding:1px;}

<?php
	} //end else
?>	


		</style>
		</head>
		<body>
<!-- required parts for dashify -->		
<div  class="childpage"><!-- page-->
	<div id="header" >
	<!--- CHILD HEADER START -->
		<div id="child_popup_layer">
			<div id="child_popup_content">
				<div id="child_popup_close">
					<a id="close_child_popup_link" href="#">
						<img src="<?php echo get_base_url(); ?>/images/b_close.png" border="0" alt="Close" title="Close" /> <?php echo gettext("Close"); ?>
					</a>			
				</div>
				<div id="child_popup_container"></div>
			</div><!-- end child_popup_content --> 
		</div><!-- end child_popup_layer --> 
	</div> <!-- end header -->
<!--- CHILD HEADER END -->		
<div id="childcontentthrobber">
<img src='<?php echo get_base_url(); ?>/images/throbber1.gif' />
</div>


<!-- begin actual page content -->		
		<div id='topbar'>
		  <div id='leftside'>
			<h1  id='theheader'><?php echo gettext("Operations Center"); ?></h1>
		  </div> <!-- end leftside -->	
		  <div id='rightside'>
<?php 	display_dashlet('nocscreen_summary','',$args,DASHLET_MODE_OUTBOARD); ?>  
		  </div>
			
		</div>	
		<div id='content'>	
<?php 	display_dashlet('nocscreen_host','',$args,DASHLET_MODE_OUTBOARD); 	?>
		

<?php	display_dashlet('nocscreen_service','',$args,DASHLET_MODE_OUTBOARD);	?>
		
		</div>

	</body>
	</html>